Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath
Interface JxpathPackage

All Known Implementing Classes:
  JxpathPackageImpl

    public interface JxpathPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `JxpathFactory`

Nested Class Summary
`static interface` | `JxpathPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static JxpathPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `JX_PATH_MODEL_QUERY` The meta object id for the '`JX Path Model Query`' class.
`static int` | `JX_PATH_MODEL_QUERY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `JX_PATH_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT` The feature id for the 'Is External Context Dependent' attribute.
`static int` | `JX_PATH_MODEL_QUERY__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `JX_PATH_MODEL_QUERY__MODEL_QUERY_SET` The feature id for the 'Model Query Set' container reference.
`static int` | `JX_PATH_MODEL_QUERY__NAME` The feature id for the 'Name' attribute.
`static int` | `JX_PATH_MODEL_QUERY__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `JX_PATH_MODEL_QUERY__QUERY` The feature id for the 'Query' attribute.
`static int` | `JX_PATH_MODEL_QUERY__RETURN_TYPE` The feature id for the 'Return Type' reference.
`static int` | `JX_PATH_MODEL_QUERY__SCOPE` The feature id for the 'Scope' reference list.
`static int` | `JX_PATH_MODEL_QUERY__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `JX_PATH_MODEL_QUERY_FEATURE_COUNT` The number of structural features of the 'JX Path Model Query' class.

Method Summary
`JxpathFactory` | `getJxpathFactory()` Returns the factory that creates the instances of the model.
`EAttribute` | `getJXPathModelQuery_Query()` Returns the meta object for the attribute '`Query`'.
`EClass` | `getJXPathModelQuery()` Returns the meta object for class '`JX Path Model Query`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final JxpathPackage eINSTANCE

  The singleton instance of the package.

### JX_PATH_MODEL_QUERY

    static final int JX_PATH_MODEL_QUERY

  The meta object id for the '`JX Path Model Query`' class.

  See Also:
    `JXPathModelQueryImpl`, `JxpathPackageImpl.getJXPathModelQuery()`, Constant Field Values

### JX_PATH_MODEL_QUERY__NAME

    static final int JX_PATH_MODEL_QUERY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__DESCRIPTION

    static final int JX_PATH_MODEL_QUERY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__RETURN_TYPE

    static final int JX_PATH_MODEL_QUERY__RETURN_TYPE

  The feature id for the 'Return Type' reference.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__SCOPE

    static final int JX_PATH_MODEL_QUERY__SCOPE

  The feature id for the 'Scope' reference list.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__MODEL_QUERY_SET

    static final int JX_PATH_MODEL_QUERY__MODEL_QUERY_SET

  The feature id for the 'Model Query Set' container reference.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__PARAMETERS

    static final int JX_PATH_MODEL_QUERY__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

    static final int JX_PATH_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

  The feature id for the 'Is External Context Dependent' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__UPPER_BOUND

    static final int JX_PATH_MODEL_QUERY__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__LOWER_BOUND

    static final int JX_PATH_MODEL_QUERY__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY__QUERY

    static final int JX_PATH_MODEL_QUERY__QUERY

  The feature id for the 'Query' attribute.

  See Also:
    Constant Field Values

### JX_PATH_MODEL_QUERY_FEATURE_COUNT

    static final int JX_PATH_MODEL_QUERY_FEATURE_COUNT

  The number of structural features of the 'JX Path Model Query' class.

  See Also:
    Constant Field Values

Method Detail

### getJXPathModelQuery

    EClass getJXPathModelQuery()

  Returns the meta object for class '`JX Path Model Query`'.

  Returns:
    the meta object for class 'JX Path Model Query'.
  See Also:
    `JXPathModelQuery`

### getJXPathModelQuery_Query

    EAttribute getJXPathModelQuery_Query()

  Returns the meta object for the attribute '`Query`'.

  Returns:
    the meta object for the attribute 'Query'.
  See Also:
    `JXPathModelQuery.getQuery()`, `getJXPathModelQuery()`

### getJxpathFactory

    JxpathFactory getJxpathFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD